Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.persistence.jdbc
Class PersistenceFactoryImpl

    java.lang.Object
      net.sf.dropboxmq.workflow.persistence.jdbc.PersistenceFactoryImpl

All Implemented Interfaces:
  PersistenceFactory

    public class PersistenceFactoryImpl

extends Object
implements PersistenceFactory

Created: 04 Feb 2011

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz

Constructor Summary
`PersistenceFactoryImpl()`
`PersistenceFactoryImpl(Connection nonManagedConnection)`

Method Summary
`void` | `closeConnection(Connection connection)`
`Connection` | `getConnection()`
`DataSource` | `getDataSource()`
`DeferredEventTypePersistence` | `getDeferredEventTypePersistence()`
`EventPersistence` | `getEventPersistence()`
`EventPropertyPersistence` | `getEventPropertyPersistence()`
`EventTypePersistence` | `getEventTypePersistence()`
`NamespacePersistence` | `getNamespacePersistence()`
`ProcessorPersistence` | `getProcessorPersistence()`
`ProcessPersistence` | `getProcessPersistence()`
`ProcessTypePersistence` | `getProcessTypePersistence()`
`RunPersistence` | `getRunPersistence()`
`StatePersistence` | `getStatePersistence()`
`TransitionPersistence` | `getTransitionPersistence()`
`void` | `setDataSource(DataSource dataSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceFactoryImpl

    public PersistenceFactoryImpl()

### PersistenceFactoryImpl

    public PersistenceFactoryImpl(Connection nonManagedConnection)

Method Detail

### getProcessorPersistence

    public ProcessorPersistence getProcessorPersistence()

  Specified by:
    `getProcessorPersistence` in interface `PersistenceFactory`

### getNamespacePersistence

    public NamespacePersistence getNamespacePersistence()

  Specified by:
    `getNamespacePersistence` in interface `PersistenceFactory`

### getProcessTypePersistence

    public ProcessTypePersistence getProcessTypePersistence()

  Specified by:
    `getProcessTypePersistence` in interface `PersistenceFactory`

### getEventTypePersistence

    public EventTypePersistence getEventTypePersistence()

  Specified by:
    `getEventTypePersistence` in interface `PersistenceFactory`

### getStatePersistence

    public StatePersistence getStatePersistence()

  Specified by:
    `getStatePersistence` in interface `PersistenceFactory`

### getDeferredEventTypePersistence

    public DeferredEventTypePersistence getDeferredEventTypePersistence()

  Specified by:
    `getDeferredEventTypePersistence` in interface `PersistenceFactory`

### getTransitionPersistence

    public TransitionPersistence getTransitionPersistence()

  Specified by:
    `getTransitionPersistence` in interface `PersistenceFactory`

### getProcessPersistence

    public ProcessPersistence getProcessPersistence()

  Specified by:
    `getProcessPersistence` in interface `PersistenceFactory`

### getRunPersistence

    public RunPersistence getRunPersistence()

  Specified by:
    `getRunPersistence` in interface `PersistenceFactory`

### getEventPersistence

    public EventPersistence getEventPersistence()

  Specified by:
    `getEventPersistence` in interface `PersistenceFactory`

### getEventPropertyPersistence

    public EventPropertyPersistence getEventPropertyPersistence()

  Specified by:
    `getEventPropertyPersistence` in interface `PersistenceFactory`

### getConnection

    public Connection getConnection()

### closeConnection

    public void closeConnection(Connection connection)

### getDataSource

    public DataSource getDataSource()

### setDataSource

    public void setDataSource(DataSource dataSource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD